package de.ivu.elect.business.aufgabe.entity;

import org.apache.commons.lang3.StringUtils;

public enum AufgabenPrioritaet {
  OHNE {
    @Override
    public String getStyleClass() {
      return "aufgabePrioOhne";
    }

    @Override
    public String getIcon() {
      return "";
    }

    @Override
    public boolean isPrioritaetVorhanden() {
      return false;
    }
  },
  NIEDRIG {
    @Override
    public String getStyleClass() {
      return "aufgabePrioNiedrig";
    }

    @Override
    public String getIcon() {
      return "fa fa-arrow-down";
    }
  },
  NORMAL {
    @Override
    public String getStyleClass() {
      return "aufgabePrioNormal";
    }

    @Override
    public String getIcon() {
      return "fa fa-arrow-right";
    }
  },
  HOCH {
    @Override
    public String getStyleClass() {
      return "aufgabePrioHoch";
    }

    @Override
    public String getIcon() {
      return "fa fa-arrow-up";
    }
  };

  public abstract String getStyleClass();

  public boolean isWithIcon() {
    return StringUtils.isNotBlank(getIcon());
  }

  public abstract String getIcon();

  public boolean isPrioritaetVorhanden() {
    return true;
  }
}

